package com.phlx.anchorcollect_p.entity;

import android.os.Parcel;
import android.os.Parcelable;

import androidx.databinding.BaseObservable;

import org.greenrobot.greendao.annotation.Entity;
import org.greenrobot.greendao.annotation.Generated;
import org.greenrobot.greendao.annotation.Id;

/**
 * 种畜管理_性能测定表
 */
@Entity
public class PerformanceEntity extends BaseObservable implements Parcelable {

    /**
     * unid
     */
    @Id(autoincrement = false)
    private Long unid;

    /**
     * 基本信息ID
     */
    private Long cattleresumeId;

    /**
     * 年龄
     */
    private String age;

    /**
     * 测量日期
     */
    private String measureDate;

    /**
     * 体高(cm)
     */
    private Double height;

    /**
     * 体长(cm)
     */
    private Double length;

    /**
     * 胸围(cm)
     */
    private Double bust;

    /**
     * 体重
     */
    private Double weight;

    /**
     * 胸宽(cm)
     */
    private Double chestWidth;

    /**
     * 胸深(cm)
     */
    private Double chestDeep;

    /**
     * 腰角宽(cm)
     */
    private Double waistWidth;

    /**
     * 十字部宽(cm)
     */
    private Double crossWidth;

    /**
     * 管维(cm)
     */
    private Double guanWei;

    /**
     * 眼肌面积
     */
    private Double eyeMuscleArea;

    /**
     * 等级
     */
    private String grade;

    /**
     * 羊毛长度(cm)
     */
    private Double hairLength;

    /**
     * 羊毛细度(微米)
     */
    private Double hairFineness;

    /**
     * 剪毛量(kg)
     */
    private Double shearing;

    /**
     * 背腰宽
     */
    private Double backWidth;

    /**
     * 繁殖成绩
     */
    private String breedRes;

    /**
     * 健康状况
     */
    private String health;

    /**
     * 免疫情况
     */
    private String immune;

    /** 是否上传 0未上传，1已上传 */
    private String uploadStatus;

    /**
     * 部门id
     */
    private Long deptId;

    /** 搜索值 */
    private String searchValue;

    /** 创建者 */
    private String createBy;

    /** 创建时间 */
    private String createTime;

    /** 更新者 */
    private String updateBy;

    /** 更新时间 */
    private String updateTime;

    /** 备注 */
    private String remark;

    public PerformanceEntity() {
    }

    protected PerformanceEntity(Parcel in) {
        if (in.readByte() == 0) {
            unid = null;
        } else {
            unid = in.readLong();
        }
        if (in.readByte() == 0) {
            cattleresumeId = null;
        } else {
            cattleresumeId = in.readLong();
        }
        age = in.readString();
        measureDate = in.readString();
        if (in.readByte() == 0) {
            height = null;
        } else {
            height = in.readDouble();
        }
        if (in.readByte() == 0) {
            length = null;
        } else {
            length = in.readDouble();
        }
        if (in.readByte() == 0) {
            bust = null;
        } else {
            bust = in.readDouble();
        }
        if (in.readByte() == 0) {
            weight = null;
        } else {
            weight = in.readDouble();
        }
        if (in.readByte() == 0) {
            chestWidth = null;
        } else {
            chestWidth = in.readDouble();
        }
        if (in.readByte() == 0) {
            chestDeep = null;
        } else {
            chestDeep = in.readDouble();
        }
        if (in.readByte() == 0) {
            waistWidth = null;
        } else {
            waistWidth = in.readDouble();
        }
        if (in.readByte() == 0) {
            crossWidth = null;
        } else {
            crossWidth = in.readDouble();
        }
        if (in.readByte() == 0) {
            guanWei = null;
        } else {
            guanWei = in.readDouble();
        }
        if (in.readByte() == 0) {
            eyeMuscleArea = null;
        } else {
            eyeMuscleArea = in.readDouble();
        }
        grade = in.readString();
        if (in.readByte() == 0) {
            hairLength = null;
        } else {
            hairLength = in.readDouble();
        }
        if (in.readByte() == 0) {
            hairFineness = null;
        } else {
            hairFineness = in.readDouble();
        }
        if (in.readByte() == 0) {
            shearing = null;
        } else {
            shearing = in.readDouble();
        }
        if (in.readByte() == 0) {
            backWidth = null;
        } else {
            backWidth = in.readDouble();
        }
        breedRes = in.readString();
        health = in.readString();
        immune = in.readString();
        uploadStatus = in.readString();
        if (in.readByte() == 0) {
            deptId = null;
        } else {
            deptId = in.readLong();
        }
        searchValue = in.readString();
        createBy = in.readString();
        createTime = in.readString();
        updateBy = in.readString();
        updateTime = in.readString();
        remark = in.readString();
    }

    @Generated(hash = 2014621603)
    public PerformanceEntity(Long unid, Long cattleresumeId, String age, String measureDate,
            Double height, Double length, Double bust, Double weight, Double chestWidth,
            Double chestDeep, Double waistWidth, Double crossWidth, Double guanWei,
            Double eyeMuscleArea, String grade, Double hairLength, Double hairFineness, Double shearing,
            Double backWidth, String breedRes, String health, String immune, String uploadStatus,
            Long deptId, String searchValue, String createBy, String createTime, String updateBy,
            String updateTime, String remark) {
        this.unid = unid;
        this.cattleresumeId = cattleresumeId;
        this.age = age;
        this.measureDate = measureDate;
        this.height = height;
        this.length = length;
        this.bust = bust;
        this.weight = weight;
        this.chestWidth = chestWidth;
        this.chestDeep = chestDeep;
        this.waistWidth = waistWidth;
        this.crossWidth = crossWidth;
        this.guanWei = guanWei;
        this.eyeMuscleArea = eyeMuscleArea;
        this.grade = grade;
        this.hairLength = hairLength;
        this.hairFineness = hairFineness;
        this.shearing = shearing;
        this.backWidth = backWidth;
        this.breedRes = breedRes;
        this.health = health;
        this.immune = immune;
        this.uploadStatus = uploadStatus;
        this.deptId = deptId;
        this.searchValue = searchValue;
        this.createBy = createBy;
        this.createTime = createTime;
        this.updateBy = updateBy;
        this.updateTime = updateTime;
        this.remark = remark;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        if (unid == null) {
            dest.writeByte((byte) 0);
        } else {
            dest.writeByte((byte) 1);
            dest.writeLong(unid);
        }
        if (cattleresumeId == null) {
            dest.writeByte((byte) 0);
        } else {
            dest.writeByte((byte) 1);
            dest.writeLong(cattleresumeId);
        }
        dest.writeString(age);
        dest.writeString(measureDate);
        if (height == null) {
            dest.writeByte((byte) 0);
        } else {
            dest.writeByte((byte) 1);
            dest.writeDouble(height);
        }
        if (length == null) {
            dest.writeByte((byte) 0);
        } else {
            dest.writeByte((byte) 1);
            dest.writeDouble(length);
        }
        if (bust == null) {
            dest.writeByte((byte) 0);
        } else {
            dest.writeByte((byte) 1);
            dest.writeDouble(bust);
        }
        if (weight == null) {
            dest.writeByte((byte) 0);
        } else {
            dest.writeByte((byte) 1);
            dest.writeDouble(weight);
        }
        if (chestWidth == null) {
            dest.writeByte((byte) 0);
        } else {
            dest.writeByte((byte) 1);
            dest.writeDouble(chestWidth);
        }
        if (chestDeep == null) {
            dest.writeByte((byte) 0);
        } else {
            dest.writeByte((byte) 1);
            dest.writeDouble(chestDeep);
        }
        if (waistWidth == null) {
            dest.writeByte((byte) 0);
        } else {
            dest.writeByte((byte) 1);
            dest.writeDouble(waistWidth);
        }
        if (crossWidth == null) {
            dest.writeByte((byte) 0);
        } else {
            dest.writeByte((byte) 1);
            dest.writeDouble(crossWidth);
        }
        if (guanWei == null) {
            dest.writeByte((byte) 0);
        } else {
            dest.writeByte((byte) 1);
            dest.writeDouble(guanWei);
        }
        if (eyeMuscleArea == null) {
            dest.writeByte((byte) 0);
        } else {
            dest.writeByte((byte) 1);
            dest.writeDouble(eyeMuscleArea);
        }
        dest.writeString(grade);
        if (hairLength == null) {
            dest.writeByte((byte) 0);
        } else {
            dest.writeByte((byte) 1);
            dest.writeDouble(hairLength);
        }
        if (hairFineness == null) {
            dest.writeByte((byte) 0);
        } else {
            dest.writeByte((byte) 1);
            dest.writeDouble(hairFineness);
        }
        if (shearing == null) {
            dest.writeByte((byte) 0);
        } else {
            dest.writeByte((byte) 1);
            dest.writeDouble(shearing);
        }
        if (backWidth == null) {
            dest.writeByte((byte) 0);
        } else {
            dest.writeByte((byte) 1);
            dest.writeDouble(backWidth);
        }
        dest.writeString(breedRes);
        dest.writeString(health);
        dest.writeString(immune);
        dest.writeString(uploadStatus);
        if (deptId == null) {
            dest.writeByte((byte) 0);
        } else {
            dest.writeByte((byte) 1);
            dest.writeLong(deptId);
        }
        dest.writeString(searchValue);
        dest.writeString(createBy);
        dest.writeString(createTime);
        dest.writeString(updateBy);
        dest.writeString(updateTime);
        dest.writeString(remark);
    }

    @Override
    public int describeContents() {
        return 0;
    }

    public static final Creator<PerformanceEntity> CREATOR = new Creator<PerformanceEntity>() {
        @Override
        public PerformanceEntity createFromParcel(Parcel in) {
            return new PerformanceEntity(in);
        }

        @Override
        public PerformanceEntity[] newArray(int size) {
            return new PerformanceEntity[size];
        }
    };

    public Long getUnid() {
        return unid;
    }

    public void setUnid(Long unid) {
        this.unid = unid;
    }

    public Long getCattleresumeId() {
        return cattleresumeId;
    }

    public void setCattleresumeId(Long cattleresumeId) {
        this.cattleresumeId = cattleresumeId;
    }

    public String getAge() {
        return age;
    }

    public void setAge(String age) {
        this.age = age;
    }

    public String getMeasureDate() {
        return measureDate;
    }

    public void setMeasureDate(String measureDate) {
        this.measureDate = measureDate;
    }

    public Double getHeight() {
        return height;
    }

    public void setHeight(Double height) {
        this.height = height;
    }

    public Double getLength() {
        return length;
    }

    public void setLength(Double length) {
        this.length = length;
    }

    public Double getBust() {
        return bust;
    }

    public void setBust(Double bust) {
        this.bust = bust;
    }

    public Double getWeight() {
        return weight;
    }

    public void setWeight(Double weight) {
        this.weight = weight;
    }

    public Double getChestWidth() {
        return chestWidth;
    }

    public void setChestWidth(Double chestWidth) {
        this.chestWidth = chestWidth;
    }

    public Double getChestDeep() {
        return chestDeep;
    }

    public void setChestDeep(Double chestDeep) {
        this.chestDeep = chestDeep;
    }

    public Double getWaistWidth() {
        return waistWidth;
    }

    public void setWaistWidth(Double waistWidth) {
        this.waistWidth = waistWidth;
    }

    public Double getCrossWidth() {
        return crossWidth;
    }

    public void setCrossWidth(Double crossWidth) {
        this.crossWidth = crossWidth;
    }

    public Double getGuanWei() {
        return guanWei;
    }

    public void setGuanWei(Double guanWei) {
        this.guanWei = guanWei;
    }

    public Double getEyeMuscleArea() {
        return eyeMuscleArea;
    }

    public void setEyeMuscleArea(Double eyeMuscleArea) {
        this.eyeMuscleArea = eyeMuscleArea;
    }

    public String getGrade() {
        return grade;
    }

    public void setGrade(String grade) {
        this.grade = grade;
    }

    public Double getHairLength() {
        return hairLength;
    }

    public void setHairLength(Double hairLength) {
        this.hairLength = hairLength;
    }

    public Double getHairFineness() {
        return hairFineness;
    }

    public void setHairFineness(Double hairFineness) {
        this.hairFineness = hairFineness;
    }

    public Double getShearing() {
        return shearing;
    }

    public void setShearing(Double shearing) {
        this.shearing = shearing;
    }

    public Double getBackWidth() {
        return backWidth;
    }

    public void setBackWidth(Double backWidth) {
        this.backWidth = backWidth;
    }

    public String getBreedRes() {
        return breedRes;
    }

    public void setBreedRes(String breedRes) {
        this.breedRes = breedRes;
    }

    public String getHealth() {
        return health;
    }

    public void setHealth(String health) {
        this.health = health;
    }

    public String getImmune() {
        return immune;
    }

    public void setImmune(String immune) {
        this.immune = immune;
    }

    public String getUploadStatus() {
        return uploadStatus;
    }

    public void setUploadStatus(String uploadStatus) {
        this.uploadStatus = uploadStatus;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public String getSearchValue() {
        return searchValue;
    }

    public void setSearchValue(String searchValue) {
        this.searchValue = searchValue;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    public String getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    @Override
    public String toString() {
        return "PerformanceEntity{" +
                "unid='" + unid + '\'' +
                ", cattleresumeId='" + cattleresumeId + '\'' +
                ", age='" + age + '\'' +
                ", measureDate='" + measureDate + '\'' +
                ", height='" + height + '\'' +
                ", length='" + length + '\'' +
                ", bust='" + bust + '\'' +
                ", weight='" + weight + '\'' +
                ", chestWidth='" + chestWidth + '\'' +
                ", chestDeep='" + chestDeep + '\'' +
                ", waistWidth='" + waistWidth + '\'' +
                ", crossWidth='" + crossWidth + '\'' +
                ", guanWei='" + guanWei + '\'' +
                ", eyeMuscleArea='" + eyeMuscleArea + '\'' +
                ", grade='" + grade + '\'' +
                ", hairLength='" + hairLength + '\'' +
                ", hairFineness='" + hairFineness + '\'' +
                ", shearing='" + shearing + '\'' +
                ", backWidth='" + backWidth + '\'' +
                ", breedRes='" + breedRes + '\'' +
                ", health='" + health + '\'' +
                ", immune='" + immune + '\'' +
                ", uploadStatus='" + uploadStatus + '\'' +
                ", deptId='" + deptId + '\'' +
                ", searchValue='" + searchValue + '\'' +
                ", createBy='" + createBy + '\'' +
                ", createTime='" + createTime + '\'' +
                ", updateBy='" + updateBy + '\'' +
                ", updateTime='" + updateTime + '\'' +
                ", remark='" + remark + '\'' +
                '}';
    }
}
